# Google Data APIs Client Library (1.43.0)

## com.google.api.gbase.client
Class Shipping

    java.lang.Object
      com.google.api.gbase.client.Shipping

    public class Shipping

extends java.lang.Object

Shipping information, defined using destination country, a region, a price (in the item's currency), and a shipping service.

Constructor Summary
`Shipping(java.lang.String country, java.util.Collection<java.lang.String> regions, java.lang.String service, float price, java.lang.String currency)` Creates a shipping object.
`Shipping(java.lang.String country, java.lang.String service, float price, java.lang.String currency)` Creates a shipping object.

Method Summary
`java.lang.String` `getCountry()` Gets the destination country, or null.
`java.lang.String` `getCurrency()` Gets the price currency, or null.
`float` `getPrice()` Gets the price.
`java.util.Collection<java.lang.String>` `getRegions()` Gets the regions.
`java.lang.String` `getService()` Gets the shipping service, or null.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Shipping

    public Shipping(java.lang.String country,
                    java.lang.String service,
                    float price,
                    java.lang.String currency)

  Creates a shipping object.

  Parameters:
    `country` - destination country (ISO 3312 2-letter code), can be null.
    `service` - shipping method, can be null.
    `price` - price
    `currency` - price currency, can be null.

### Shipping

    public Shipping(java.lang.String country,
                    java.util.Collection<java.lang.String> regions,
                    java.lang.String service,
                    float price,
                    java.lang.String currency)

  Creates a shipping object.

  Parameters:
    `country` - destination country (ISO 3312 2-letter code), can be null.
    `regions` - A list of shipping regions within the destination country. Can be null.
    `service` - shipping method, can be null.
    `price` - price
    `currency` - price currency, can be null.

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getPrice

    public float getPrice()

  Gets the price.

### getCurrency

    public java.lang.String getCurrency()

  Gets the price currency, or null.

### getCountry

    public java.lang.String getCountry()

  Gets the destination country, or null. This should be a ISO 3312 2-letter code.

### getRegions

    public java.util.Collection<java.lang.String> getRegions()

  Gets the regions. This method never returns null, but the returned list can be empty.

### getService

    public java.lang.String getService()

  Gets the shipping service, or null.